﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class Default : System.Web.UI.Page
{
	protected void Page_Load(object sender, EventArgs e)
	{
		RadHtmlChart1.DataSource = GetData();
		RadHtmlChart1.DataBind();
	}

	protected DataTable GetData()
	{
		DataTable tbl = new DataTable();
		tbl.Columns.Add(new DataColumn("ID"));
		tbl.Columns.Add(new DataColumn("MonthName"));
		tbl.Columns.Add(new DataColumn("Usage1"));
		tbl.Columns.Add(new DataColumn("Usage2"));
		tbl.Columns.Add(new DataColumn("GrandTotal"));

		tbl.Rows.Add(new object[] { 1, "January", 30, 10, 40 });
		tbl.Rows.Add(new object[] { 2, "February", 75, 55, 130 });
		tbl.Rows.Add(new object[] { 3, "March", 60, 25, 85 });
		tbl.Rows.Add(new object[] { 4, "April", 15, 83, 98 });

		return tbl;
	}
}